## rock-master-19.06-base-boost-serialization 0.20190710

=== CMakeLists.txt ===
# CMakeLists.txt has to be located in the project folder and cmake has to be
# executed from 'project/build' with 'cmake ../'.
cmake_minimum_required(VERSION 2.6)
find_package(Rock)
set(ROCK_TEST_ENABLED ON)
rock_init(boost_serialization 0.1)
rock_standard_layout()

=== src/CMakeLists.txt ===
find_package(Boost COMPONENTS serialization)

set(deps_pkg_config base-types numeric)

set(headers EigenTypes.hpp
            BoostTypes.hpp
            BaseTypes.hpp
            BaseNumeric.hpp
            DynamicSizeSerialization.hpp
            ClassVersion.hpp)

rock_library(boost_serialization
    HEADERS ${headers}
    DEPS_PLAIN Boost_SERIALIZATION
    DEPS_PKGCONFIG ${deps_pkg_config})

rock_install_headers(${headers})

=== test/CMakeLists.txt ===
find_package(Boost COMPONENTS serialization)

set(deps_pkg_config base-types)

rock_testsuite(test_serialization suite.cpp
   test_serialization.cpp
   DEPS_PKGCONFIG ${deps_pkg_config}
   DEPS_PLAIN
     Boost_SERIALIZATION
)

=== debian/changelog ===
rock-master-19.06-base-boost-serialization (0.20190710-1~stretch) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: github:/envire/base-boost_serialization.git
  * branch: refs/heads/master
  * commit: 6c55bb2f17e8a8191bc5cf18148618ae72468ca6
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Wed, 10 Jul 2019 16:08:59 +0200

=== debian/control ===
Source: rock-master-19.06-base-boost-serialization
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, build-essential, cmake, libboost-dev, libboost-filesystem-dev, libboost-graph-dev, libboost-iostreams-dev, libboost-program-options-dev, libboost-regex-dev, libboost-system-dev, libboost-thread-dev, rock-master-19.06-base-cmake, rock-master-19.06-base-numeric, rock-master-19.06-base-types
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-base-boost-serialization
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-cmake, rock-master-19.06-base-numeric, rock-master-19.06-base-types, cmake, build-essential, libboost-dev, libboost-graph-dev, libboost-program-options-dev, libboost-regex-dev, libboost-thread-dev, libboost-filesystem-dev, libboost-iostreams-dev, libboost-system-dev
Description: Headers for specific type serialization
 Boost serialization for specific base types
